package com.ifish.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * 商家用户信息ID
 * @author Administrator
 *
 */
@Embeddable
public class ShopsUserInfoId implements Serializable{

	private static final long serialVersionUID = -6202050811830542892L;
	/**
	 * 商家ID
	 */
	@Column(name="shops_id",nullable=false)
	private Integer shopsId;
	/**
	 * 用户ID
	 */
	@Column(name="user_id",nullable=false)
	private Integer userId;
	
	public ShopsUserInfoId() {}
	
	public ShopsUserInfoId(Integer shopsId, Integer userId) {
		this.shopsId = shopsId;
		this.userId = userId;
	}
	public Integer getShopsId() {
		return shopsId;
	}
	public void setShopsId(Integer shopsId) {
		this.shopsId = shopsId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
}
